org.apache.lucene.analysis.en

## Class EnglishMinimalStemmer

- java.lang.Object
- - org.apache.lucene.analysis.en.EnglishMinimalStemmer

    public class EnglishMinimalStemmer
    extends Object

Minimal plural stemmer for English.

This stemmer implements the "S-Stemmer" from How Effective Is Suffixing? Donna Harman.

### Constructor Summary

Constructors
Constructor and Description
`EnglishMinimalStemmer()`

### Method Summary

Methods
`int` `stem(char[] s, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnglishMinimalStemmer

    public EnglishMinimalStemmer()

### Method Detail

#### stem

    public int stem(char[] s,
           int len)